namespace NzbDrone.Core.DecisionEngine;

public enum DownloadRejectionReason
{
    Unknown,
    UnknownSeries,
    UnknownEpisode,
    MatchesAnotherSeries,
    UnableToParse,
    Error,
    DecisionError,
    MinimumAgeDelay,
    SeriesNotMonitored,
    EpisodeNotMonitored,
    HistoryRecentCutoffMet,
    HistoryCdhDisabledCutoffMet,
    HistoryHigherPreference,
    HistoryHigherRevision,
    HistoryCutoffMet,
    HistoryCustomFormatCutoffMet,
    HistoryCustomFormatScore,
    HistoryCustomFormatScoreIncrement,
    HistoryUpgradesNotAllowed,
    NoMatchingTag,
    PropersDisabled,
    ProperForOldFile,
    WrongEpisode,
    WrongSeason,
    WrongSeries,
    FullSeason,
    UnknownRuntime,
    BelowMinimumSize,
    AboveMaximumSize,
    AlreadyImportedSameHash,
    AlreadyImportedSameName,
    UnknownReleaseGroup,
    ReleaseGroupDoesNotMatch,
    IndexerDisabled,
    Blocklisted,
    CustomFormatMinimumScore,
    MinimumFreeSpace,
    FullSeasonNotAired,
    MaximumSizeExceeded,
    MinimumAge,
    MaximumAge,
    MultiSeason,
    Sample,
    ProtocolDisabled,
    QualityNotWanted,
    QualityUpgradesDisabled,
    QueueHigherPreference,
    QueueHigherRevision,
    QueueCutoffMet,
    QueueCustomFormatCutoffMet,
    QueueCustomFormatScore,
    QueueCustomFormatScoreIncrement,
    QueueUpgradesNotAllowed,
    QueuePropersDisabled,
    Raw,
    MustContainMissing,
    MustNotContainPresent,
    RepackDisabled,
    RepackUnknownReleaseGroup,
    RepackReleaseGroupDoesNotMatch,
    ExistingFileHasMoreEpisodes,
    AmbiguousNumbering,
    NotSeasonPack,
    SplitEpisode,
    MinimumSeeders,
    DiskHigherPreference,
    DiskHigherRevision,
    DiskCutoffMet,
    DiskCustomFormatCutoffMet,
    DiskCustomFormatScore,
    DiskCustomFormatScoreIncrement,
    DiskUpgradesNotAllowed
}
